org.cybergarage.xml

## Class Node

- java.lang.Object
- - org.cybergarage.xml.Node

    public class Node
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Node()`
`Node(String name)`
`Node(String ns, String name)`

### Method Summary

Methods
`void` `addAttribute(Attribute attr)`
`void` `addAttribute(String name, String value)`
`void` `addNode(Node node)`
`Attribute` `getAttribute(int index)`
`Attribute` `getAttribute(String name)`
`int` `getAttributeIntegerValue(String name)`
`String` `getAttributeValue(String name)`
`String` `getIndentLevelString(int nIndentLevel)`
`String` `getName()`
`int` `getNAttributes()`
`int` `getNNodes()`
`Node` `getNode(int index)`
`Node` `getNode(String name)`
`Node` `getNodeEndsWith(String name)`
`String` `getNodeValue(String name)`
`Node` `getParentNode()`
`Node` `getRootNode()`
`Object` `getUserData()`
`String` `getValue()`
`boolean` `hasAttributes()`
`boolean` `hasNodes()`
`void` `insertAttributeAt(Attribute attr, int index)`
`void` `insertNode(Node node, int index)`
`boolean` `isName(String value)`
`void` `output(PrintWriter ps, int indentLevel, boolean hasChildNode)`
`void` `outputAttributes(PrintWriter ps)`
`void` `print()`
`void` `print(boolean hasChildNode)`
`void` `removeAllNodes()`
`boolean` `removeAttribute(Attribute attr)`
`boolean` `removeAttribute(String name)`
`boolean` `removeNode(Node node)`
`boolean` `removeNode(String name)`
`void` `setAttribute(String name, int value)`
`void` `setAttribute(String name, String value)`
`void` `setName(String name)`
`void` `setName(String ns, String name)`
`void` `setNameSpace(String ns, String value)`
`void` `setNode(String name, String value)`
`void` `setParentNode(Node node)`
`void` `setUserData(Object data)`
`void` `setValue(int value)`
`void` `setValue(String value)`
`String` `toString()`
`String` `toString(boolean hasChildNode)`
`String` `toXMLString()`
`String` `toXMLString(boolean hasChildNode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Node

    public Node()

#### Node

    public Node(String name)

#### Node

    public Node(String ns,
        String name)

### Method Detail

#### setParentNode

    public void setParentNode(Node node)

#### getParentNode

    public Node getParentNode()

#### getRootNode

    public Node getRootNode()

#### setName

    public void setName(String name)

#### setName

    public void setName(String ns,
               String name)

#### getName

    public String getName()

#### isName

    public boolean isName(String value)

#### setValue

    public void setValue(String value)

#### setValue

    public void setValue(int value)

#### getValue

    public String getValue()

#### getNAttributes

    public int getNAttributes()

#### getAttribute

    public Attribute getAttribute(int index)

#### getAttribute

    public Attribute getAttribute(String name)

#### addAttribute

    public void addAttribute(Attribute attr)

#### insertAttributeAt

    public void insertAttributeAt(Attribute attr,
                         int index)

#### addAttribute

    public void addAttribute(String name,
                    String value)

#### removeAttribute

    public boolean removeAttribute(Attribute attr)

#### removeAttribute

    public boolean removeAttribute(String name)

#### hasAttributes

    public boolean hasAttributes()

#### setAttribute

    public void setAttribute(String name,
                    String value)

#### setAttribute

    public void setAttribute(String name,
                    int value)

#### getAttributeValue

    public String getAttributeValue(String name)

#### getAttributeIntegerValue

    public int getAttributeIntegerValue(String name)

#### setNameSpace

    public void setNameSpace(String ns,
                    String value)

#### getNNodes

    public int getNNodes()

#### getNode

    public Node getNode(int index)

#### getNode

    public Node getNode(String name)

#### getNodeEndsWith

    public Node getNodeEndsWith(String name)

#### addNode

    public void addNode(Node node)

#### insertNode

    public void insertNode(Node node,
                  int index)

#### removeNode

    public boolean removeNode(Node node)

#### removeNode

    public boolean removeNode(String name)

#### removeAllNodes

    public void removeAllNodes()

#### hasNodes

    public boolean hasNodes()

#### setNode

    public void setNode(String name,
               String value)

#### getNodeValue

    public String getNodeValue(String name)

#### setUserData

    public void setUserData(Object data)

#### getUserData

    public Object getUserData()

#### getIndentLevelString

    public String getIndentLevelString(int nIndentLevel)

#### outputAttributes

    public void outputAttributes(PrintWriter ps)

#### output

    public void output(PrintWriter ps,
              int indentLevel,
              boolean hasChildNode)

#### toString

    public String toString(boolean hasChildNode)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### toXMLString

    public String toXMLString(boolean hasChildNode)

#### toXMLString

    public String toXMLString()

#### print

    public void print(boolean hasChildNode)

#### print

    public void print()